# frozen_string_literal: true

# This is an extension of the Ruby String class.
# Example usage: puts "This message is red".red
# From http://stackoverflow.com/a/11482430/3038677
class String
  module Colors
    RED     = 31
    GREEN   = 32
    YELLOW  = 33
    MAGENTA = 35
  end

  def red
    colorize(Colors::RED)
  end

  def green
    colorize(Colors::GREEN)
  end

  def yellow
    colorize(Colors::YELLOW)
  end

  def magenta
    colorize(Colors::MAGENTA)
  end

  private

  def colorize(color_code)
    "\e[#{color_code}m#{self}\e[0m"
  end
end
